# This is a default template for a post-install scriptlet.
# Uncomment only required functions and remove any functions
# you don't need (and this header).

## arg 1:  the new package version
pre_install() {
  exit 0
  # do something here
}

## arg 1:  the new package version
post_install() {
  getent group ltrd >/dev/null || groupadd -r ltrd
  getent passwd ltrd >/dev/null || useradd -r -g ltrd -s /sbin/nologin -c "user for ltrd daemon" ltrd


  if [ -e "/etc/ltrd/config.xml" ]; then
    chown ltrd:ltrd /etc/ltrd/config.xml
  fi 
  
  # обновляем правила udev, чтобы разрешить доступ к крейтам по USB
  if [ -x /sbin/udevadm ]; then
      /sbin/udevadm control --reload-rules
      /sbin/udevadm trigger --subsystem-match=usb --attr-match=idVendor=0471
      /sbin/udevadm trigger --subsystem-match=usb --attr-match=idVendor=2a52
  fi
  
  systemctl daemon-reload >/dev/null 2>&1 || :
  
  systemctl start ltrd.service 2>&1 || :
  
  systemctl enable ltrd.service 2>&1 || :
  
  exit 0
}




## arg 1:  the new package version
## arg 2:  the old package version
pre_upgrade() {
    pre_remove
}

## arg 1:  the new package version
## arg 2:  the old package version
post_upgrade() {
    post_install
}

## arg 1:  the old package version
pre_remove() {
 systemctl stop ltrd.service
 systemctl disable ltrd.service

 getent passwd ltrd >/dev/null && userdel -f ltrd 2>&1 || :
 getent group ltrd >/dev/null && groupdel ltrd 2>&1 || :

 exit 0 
 }

## arg 1:  the old package version
post_remove() {
  # do something here
  systemctl daemon-reload >/dev/null 2>&1 || :
}

# vim:set ts=2 sw=2 et:
